Invoice
GET
/invoices/{invoice_id}/credit_notesList Invoice Credit Notes
Responses: 200
Generated from the code contract; no hand-written description yet.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/invoices/{{invoice_id}}/credit_notes?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[amount_refunded]=&filter[amount_remaining]=&filter[created_at]=&filter[currency]=&filter[customer_id]=&filter[id]=&filter[labels]=&filter[number]=&filter[provider_id]=&filter[reason]=&filter[reference_id]=&filter[refund_destination]=&filter[status]=&filter[subscription_id]=&filter[subtotal]=&filter[total]=&filter[updated_at]=' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
| X-Country | {{country}} |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"invoice_id": "<string>",
"customer_id": "<string>",
"number": "<string>",
"line_items": [
{
"object": "<string>",
"reference_id": "<string>",
"amount": 0,
"description": "<string>",
"discount_amount": 0,
"invoice_line_item": "<string>",
"quantity": 0,
"type": "<string>",
"unit_amount": 0,
"unit_amount_decimal": "<string>",
"taxes": [
{
"id": "<string>",
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"deleted_at": "<gorm.DeletedAt>",
"tax_rate_id": "<string>",
"taxable_amount": 0,
"tax_amount": 0,
"display_name": "<string>",
"percentage": 0.0,
"inclusive": false
}
]
}
],
"subscription_id": "<string>",
"reason": "<string>",
"currency": "<string>",
"subtotal": 0,
"total": 0,
"scaling_factor": 0,
"amount_refunded": 0,
"amount_remaining": 0,
"description": "<string>",
"destination": "<string>",
"status": "<string>",
"type": "<string>",
"issued_at": "<RFC3339 timestamp>",
"effective_at": "<RFC3339 timestamp>",
"provider": "<string>",
"reference_id": "<string>",
"metadata": {},
"labels": "<core.Labels>",
"pdf": "<string>",
"voided_at": "<RFC3339 timestamp>",
"amount_shipping": 0,
"subtotal_excluding_tax": 0,
"total_excluding_tax": 0,
"customer_balance_transaction": "<string>",
"refund_id": "<string>",
"amount_out_of_band": 0,
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"invoice": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"number": "<string>",
"quote_id": "<string>",
"subscription_id": "<string>",
"test_clock_id": "<string>",
"customer_id": "<string>",
"default_payment_method_id": "<string>",
"payment_method_type": "<string>",
"collection_method": "<string>",
"capture_method": "<string>",
"amount_capturable": 0,
"auto_advance": false,
"due_date": "<RFC3339 timestamp>",
"description": "<string>",
"footer": "<string>",
"customer_name": "<string>",
"customer_email": "<string>",
"customer_phone": "<string>",
"address": {
"id": "<string>",
"address_type": "<string>",
"name": "<string>",
"phone": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"line_items": [
{
"id": "<string>",
"object": "<string>",
"product_id": "<string>",
"product_price_id": "<string>",
"sort_order": 0,
"type": "<string>",
"description": "<string>",
"product_name": "<string>",
"product_description": "<string>",
"product_image": "<string>",
"product_type": "<string>",
"unit_amount": 0,
"quantity": 0,
"amount_discount": 0,
"amount_subtotal": 0,
"amount_tax": 0,
"amount_total": 0,
"currency": "<string>",
"discountable": false,
"proration": false,
"period_start": "<RFC3339 timestamp>",
"period_end": "<RFC3339 timestamp>",
"reference_id": "<string>",
"metadata": {},
"taxes": [
{
"id": "<string>",
"tax_rate_id": "<string>",
"taxable_amount": 0,
"tax_amount": 0,
"inclusive": false
}
]
}
],
"discounts": [
{
"id": "<string>",
"coupon_id": "<string>",
"promotion_code_id": "<string>",
"name": "<string>",
"amount": 0
}
],
"shipping_details": {
"address": {
"id": "<string>",
"address_type": "<string>",
"name": "<string>",
"phone": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"rate": {
"id": "<string>",
"display_name": "<string>",
"type": "<string>",
"currency": "<string>",
"amount": 0
}
},
"subtotal": 0,
"tax": 0,
"total": 0,
"amount_shipping": 0,
"amount_discount": 0,
"amount_due": 0,
"amount_paid": 0,
"amount_remaining": 0,
"starting_balance": 0,
"currency": "<string>",
"scaling_factor": 0,
"transfer_data": {
"destination": "<string>",
"balance_id": "<string>"
},
"status": "<string>",
"paid": false,
"paid_out_of_band": false,
"attempted": false,
"attempt_count": 0,
"next_payment_attempt": "<RFC3339 timestamp>",
"payment_intent": "<string>",
"last_finalization_error": {},
"status_transitions": {
"finalized_at": 0,
"paid_at": 0,
"voided_at": 0,
"marked_uncollectible_at": 0
},
"provider": "<string>",
"reference_id": "<string>",
"payments": [
{
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": "<RFC3339 timestamp>",
"invoice": "<string>",
"status": "<string>",
"amount_requested": 0,
"amount_paid": 0,
"currency": "<string>",
"is_default": false,
"payment": {
"type": "<string>",
"payment_intent": "<string>",
"charge": "<string>"
}
}
],
"hosted_invoice_url": "<string>",
"invoice_pdf": "<string>",
"receipt_id": "<string>",
"metadata": {},
"labels": "<core.Labels>",
"account_tax_ids": [
"<string>"
],
"payment_method_types": [
"<string>"
],
"payment_method_providers": [
"<string>"
],
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"billing_details": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"business_name": "<string>",
"tax_id": {
"type": "<string>",
"value": "<string>"
}
},
"default_payment_method": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"customer_id": "<string>",
"card_holder_name": "<string>",
"last4": "<string>",
"fingerprint": "<string>",
"exp_month": 0,
"exp_year": 0,
"type": "<string>",
"brand": "<string>",
"card": {
"brand": "<string>",
"issuer": "<string>",
"last4": "<string>",
"exp_month": 0,
"exp_year": 0
},
"billing_details": {},
"allow_redisplay": "<string>",
"reference_id": "<string>",
"provider": "<string>",
"metadata": {},
"labels": "<core.Labels>",
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"provider_connection_status": "<string>",
"needs_recollection": false
},
"quote": null,
"subscription": null
},
"subscription": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"number": "<string>",
"customer_id": "<string>",
"default_payment_method_id": "<string>",
"customer_name": "<string>",
"customer_email": "<string>",
"customer_phone": "<string>",
"billing_details": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"business_name": "<string>",
"tax_id": {
"type": "<string>",
"value": "<string>"
}
},
"line_items": [
{
"id": "<string>",
"object": "<string>",
"product_id": "<string>",
"product_price_id": "<string>",
"sort_order": 0,
"type": "<string>",
"description": "<string>",
"product_name": "<string>",
"product_description": "<string>",
"product_image": "<string>",
"product_type": "<string>",
"unit_amount": 0,
"quantity": 0,
"amount_discount": 0,
"amount_subtotal": 0,
"amount_tax": 0,
"amount_total": 0,
"currency": "<string>",
"discountable": false,
"proration": false,
"period_start": "<RFC3339 timestamp>",
"period_end": "<RFC3339 timestamp>",
"reference_id": "<string>",
"metadata": {},
"taxes": [
{
"id": "<string>",
"tax_rate_id": "<string>",
"taxable_amount": 0,
"tax_amount": 0,
"inclusive": false
}
]
}
],
"discounts": [
{
"reference_id": "<string>",
"coupon_id": "<string>",
"promotion_code_id": "<string>",
"name": "<string>",
"amount": 0,
"duration": "<string>",
"duration_in_months": 0,
"percentage": 0.0,
"fixed_amount": 0,
"currency": "<string>",
"started_at": "<RFC3339 timestamp>",
"ends_at": "<RFC3339 timestamp>",
"applied_count": 0
}
],
"subtotal": 0,
"tax": 0,
"total": 0,
"amount_discount": 0,
"amount_due": 0,
"amount_paid": 0,
"currency": "<string>",
"scaling_factor": 0,
"transfer_data": {
"destination": "<string>",
"balance_id": "<string>"
},
"status": "<string>",
"provider": "<string>",
"reference_id": "<string>",
"provider_connection_id": "<string>",
"provider_connection_status": "<string>",
"collection_method": "<string>",
"payment_method_types": [
"<string>"
],
"payment_method_providers": [
"<string>"
],
"auto_advance": false,
"due_date": "<RFC3339 timestamp>",
"description": "<string>",
"failure_count": 0,
"billing_cycle_anchor": "<RFC3339 timestamp>",
"current_period_start": "<RFC3339 timestamp>",
"current_period_end": "<RFC3339 timestamp>",
"trial_start": "<RFC3339 timestamp>",
"trial_end": "<RFC3339 timestamp>",
"cancel_at_period_end": false,
"cancel_at": "<RFC3339 timestamp>",
"canceled_at": "<RFC3339 timestamp>",
"ended_at": "<RFC3339 timestamp>",
"pause_behavior": "<string>",
"pause_resumes_at": "<RFC3339 timestamp>",
"test_clock_id": "<string>",
"latest_invoice": "<string>",
"pending_setup_intent": "<string>",
"cancellation_details": {
"comment": "<string>",
"feedback": "<string>",
"reason": "<string>"
},
"application_fee_amount": 0,
"application_fee_percent": 0.0,
"metadata": {},
"labels": "<core.Labels>",
"latest_next_action": [
{
"type": "<string>",
"title": "<string>",
"description": "<string>",
"i18n_key": "<string>",
"url": "<string>",
"client_secret": "<string>",
"payment_method": "<string>",
"qr_data": "<string>"
}
],
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"default_payment_method": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"customer_id": "<string>",
"card_holder_name": "<string>",
"last4": "<string>",
"fingerprint": "<string>",
"exp_month": 0,
"exp_year": 0,
"type": "<string>",
"brand": "<string>",
"card": {
"brand": "<string>",
"issuer": "<string>",
"last4": "<string>",
"exp_month": 0,
"exp_year": 0
},
"billing_details": {},
"allow_redisplay": "<string>",
"reference_id": "<string>",
"provider": "<string>",
"metadata": {},
"labels": "<core.Labels>",
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"provider_connection_status": "<string>",
"needs_recollection": false
}
}
}
],
"page": 1,
"limit": 10,
"total_items": 1,
"total_pages": 1
}